<?php
// appel par site_url/qrcr/QRCCODE
// QRCCODE est dans args[1]
// option est tableau array(QRCCODE1=>array('qrcr'=>QRCCODE1, 'url'=>URL1), QRCCODE2=>...)
// $redirs['comment'] s'il existe, contient une commentaire

///alm 20210913 22:49

$redirs=get_option($this->plugin_prefix.'options_qrcr');

// si $args[1] est dans les clefs de $redirs, on redirige vers l'url pointee
// sinon vers le site lui meme
$location=site_url();
if (in_array($args[1], array_keys($redirs))) {
 $location = wp_sanitize_redirect($redirs[$args[1]]['url']);
 write_log('WPQRC: le qrcode '.$args[1].' ( '.($redirs[$args[1]]['comment']?? '').' ) '.' a fait la redirection vers '.$location);
}
wp_redirect($location, 302, site_url());

exit;
